Index: harvest/ChangeLog
diff -c harvest/ChangeLog:2.5 harvest/ChangeLog:2.6
*** harvest/ChangeLog:2.5	Tue Apr 22 19:37:52 1997
--- harvest/ChangeLog	Tue Apr 29 16:13:45 1997
***************
*** 1,4 ****
--- 1,5 ----
  Changes in current version
+ 	- Rewrote Troff.sum in perl (David A. Nowitz)
  	- Added DOCTYPES and tidied up HTML generally (Craig Counterman)
  	- Fixed &times bug in &timestamp call (Craig Counterman)
  	- Fixed assorted bugs in nph-search (Craig Counterman)
Index: harvest/components/gatherer/standard/summarizers/Troff.sum
diff -c harvest/components/gatherer/standard/summarizers/Troff.sum:2.0 harvest/components/gatherer/standard/summarizers/Troff.sum:2.1
*** harvest/components/gatherer/standard/summarizers/Troff.sum:2.0	Sun Mar 16 22:08:51 1997
--- harvest/components/gatherer/standard/summarizers/Troff.sum	Tue Apr 29 14:16:52 1997
***************
*** 1,113 ****
! #!/bin/csh -f
! #
  #  Troff.sum - uses simple heuristics to determine which macros the 
  #  troff source file is using (if any), then runs the appropriate summarizer.
  #
! #  Darren Hardy, hardy@cs.colorado.edu, March 1994
  #
! #  Troff.sum,v 1.8 1995/09/05 20:17:43 hardy Exp
  #
! #######################################################################
  #
! #  Copyright (c) 1994, 1995.  All rights reserved.
! #  
! #    The Harvest software was developed by the Internet Research Task
! #    Force Research Group on Resource Discovery (IRTF-RD):
! #  
! #          Mic Bowman of Transarc Corporation.
! #          Peter Danzig of the University of Southern California.
! #          Darren R. Hardy of the University of Colorado at Boulder.
! #          Udi Manber of the University of Arizona.
! #          Michael F. Schwartz of the University of Colorado at Boulder.
! #          Duane Wessels of the University of Colorado at Boulder.
! #  
! #    This copyright notice applies to software in the Harvest
! #    ``src/'' directory only.  Users should consult the individual
! #    copyright notices in the ``components/'' subdirectories for
! #    copyright information about other software bundled with the
! #    Harvest source code distribution.
! #  
! #  TERMS OF USE
! #    
! #    The Harvest software may be used and re-distributed without
! #    charge, provided that the software origin and research team are
! #    cited in any use of the system.  Most commonly this is
! #    accomplished by including a link to the Harvest Home Page
! #    (http://harvest.cs.colorado.edu/) from the query page of any
! #    Broker you deploy, as well as in the query result pages.  These
! #    links are generated automatically by the standard Broker
! #    software distribution.
! #    
! #    The Harvest software is provided ``as is'', without express or
! #    implied warranty, and with no support nor obligation to assist
! #    in its use, correction, modification or enhancement.  We assume
! #    no liability with respect to the infringement of copyrights,
! #    trade secrets, or any patents, and are not responsible for
! #    consequential damages.  Proper use of the Harvest software is
! #    entirely the responsibility of the user.
! #  
! #  DERIVATIVE WORKS
! #  
! #    Users may make derivative works from the Harvest software, subject 
! #    to the following constraints:
! #  
! #      - You must include the above copyright notice and these 
! #        accompanying paragraphs in all forms of derivative works, 
! #        and any documentation and other materials related to such 
! #        distribution and use acknowledge that the software was 
! #        developed at the above institutions.
! #  
! #      - You must notify IRTF-RD regarding your distribution of 
! #        the derivative work.
! #  
! #      - You must clearly notify users that your are distributing 
! #        a modified version and not the original Harvest software.
! #  
! #      - Any derivative product is also subject to these copyright 
! #        and use restrictions.
! #  
! #    Note that the Harvest software is NOT in the public domain.  We
! #    retain copyright, as specified above.
! #  
! #  HISTORY OF FREE SOFTWARE STATUS
! #  
! #    Originally we required sites to license the software in cases
! #    where they were going to build commercial products/services
! #    around Harvest.  In June 1995 we changed this policy.  We now
! #    allow people to use the core Harvest software (the code found in
! #    the Harvest ``src/'' directory) for free.  We made this change
! #    in the interest of encouraging the widest possible deployment of
! #    the technology.  The Harvest software is really a reference
! #    implementation of a set of protocols and formats, some of which
! #    we intend to standardize.  We encourage commercial
! #    re-implementations of code complying to this set of standards.  
! #  
  #
! if ($1 == "") then
! 	echo Usage: Troff.sum filename
! 	exit 1
! endif
! if (! -r "$1") then
! 	echo Cannot read: $1
! 	exit 1
! endif
  #
! # NOTE: grep -s is not portable
! #
! grep -e '^\.AB' $1 > /dev/null
! if ($status == 0) then
! 	Troff-ms.sum $1
! 	exit 0
! endif
! grep -e '^\.TH' $1 > /dev/null
! if ($status == 0) then
! 	Troff-man.sum $1
! 	exit 0
! endif
! grep -e '^\.sh' $1 > /dev/null
! if ($status == 0) then
! 	Troff-me.sum $1
! 	exit 0
! endif
! Troff-generic.sum $1
! exit 0
--- 1,60 ----
! # *-*-perl-*-*
!     eval 'exec perl -S $0 "$@"'
!     if $running_under_some_shell;  
! 
  #  Troff.sum - uses simple heuristics to determine which macros the 
  #  troff source file is using (if any), then runs the appropriate summarizer.
  #
! #  AUTHOR : David A. Nowitz
  #
! #  Troff.sum,v 2.1 1997/04/29 13:16:52 sxw Exp
  #
! #############################################################################
  #
! #  Harvest Indexer http://www.tardis.ed.ac.uk/harvest/
! #  ---------------------------------------------------
  #
! #  The Harvest Indexer is a continued development of code developed by
! #  the Harvest Project. Development is carried out by numerous individuals
! #  in the Internet community, and is not officially connected with the
! #  original Harvest Project or its funding sources.
! # 
! #  Please mail harvest@tardis.ed.ac.uk if you are interested in participating
! #  in the development effort.
  #
! #  This program is free software; you can redistribute it and/or modify
! #  it under the terms of the GNU General Public License as published by
! #  the Free Software Foundation; either version 2 of the License, or
! #  (at your option) any later version.
! #  
! #  This program is distributed in the hope that it will be useful,
! #  but WITHOUT ANY WARRANTY; without even the implied warranty of
! #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! #  GNU General Public License for more details.
! #  
! #  You should have received a copy of the GNU General Public License
! #  along with this program; if not, write to the Free Software
! #  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # 
! 
! $file = $ARGV[0];
! if ( $file eq '' ) {
!         print "Usage: Troff.sum filename\n";
!         exit(1);
! }
! 
! if (! -r "$file") {
!         print "Cannot read: $file\n";
!         exit(1);
! }
! 
! open(IN, "$file");
! while( $l = <IN>) {
!         if($l =~ /^\.AB/) {  exec("Troff-ms.sum  $file"); }
!         if($l =~ /^\.TH/) {  exec("Troff-man.sum $file"); }
!         if($l =~ /^\.sh/) {  exec("Troff-me.sum  $file"); }
! }
! 
! exec("Troff-generic.sum $file");
! 
! 
